## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global baseversion 1.0.0
%global prerel rc
%global upstream_tag %{baseversion}%{?prerel}

Name:           nginx-mod-brotli
Version:        %{baseversion}%{?prerel:~%{prerel}}
Release:        %autorelease
Summary:        NGINX module for Brotli compression

License:        BSD-2-Clause
URL:            https://github.com/google/ngx_brotli
Source:         %{url}/archive/v%{upstream_tag}/ngx_brotli-%{upstream_tag}.tar.gz
# Patches to ensure system's brotli library is used
Patch:          https://patch-diff.githubusercontent.com/raw/google/ngx_brotli/pull/150.patch
Patch:          https://patch-diff.githubusercontent.com/raw/google/ngx_brotli/pull/172.patch

BuildRequires:  gcc
BuildRequires:  nginx-mod-devel
BuildRequires:  pkgconfig(libbrotlienc)


%description
%{summary}.

%prep
%autosetup -n ngx_brotli-%{upstream_tag} -p1


%build
%nginx_modconfigure
%nginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_brotli_filter_module.so %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_brotli_static_module.so %{buildroot}%{nginx_moddir}
install -dm 0755 %{buildroot}%{nginx_modconfdir}
cat <<EOF > %{buildroot}%{nginx_modconfdir}/mod-brotli.conf
load_module "%{nginx_moddir}/ngx_http_brotli_filter_module.so";
load_module "%{nginx_moddir}/ngx_http_brotli_static_module.so";
EOF
popd


%files
%license LICENSE
%doc README.md
%{nginx_moddir}/ngx_http_brotli_filter_module.so
%{nginx_moddir}/ngx_http_brotli_static_module.so
%{nginx_modconfdir}/mod-brotli.conf


%changelog
## START: Generated by rpmautospec
* Fri Apr 18 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.0~rc-1
- Initial package - Closes rhbz#2360112
## END: Generated by rpmautospec
